Update product package slot
Update product package slot
Required permissions: PRODUCT
put/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+productPackageSlotUidstringRequired
Reference to a product package slot
Body
namestringOptional
positionintegerOptional
minComponentsAllowedintegerOptional
maxComponentsAllowedintegerOptional
Responses
200
Example response
application/json
productPackageSlotUidstringRequiredPattern:
^[A-Za-z0-9-_]+namestringRequired
positionintegerRequired
minComponentsAllowedintegerRequired
maxComponentsAllowedintegerRequired
normPriceintegerRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}
PUT /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78
{
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1
}200
Example response
{
"productPackageSlotUid": "text",
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1,
"normPrice": 1,
"components": [
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

